Download it now!
Bug 76015 - FILESAVE : LO exports corrupt document contaning multiple header.xml.
Summary: FILESAVE : LO exports corrupt document contaning multiple header.xml.
Status: CLOSED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.2.0.0.alpha0+ Master
Hardware: Other All
: medium major
Assignee: Sushil Shinde
URL:
Whiteboard: target:4.3.0
Keywords:
Depends on:
Blocks:
 
Reported: 2014-03-11 08:18 UTC by Sushil Shinde
Modified: 2014-03-18 14:03 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
Original file. It contains multiple header.xml files. (49.13 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2014-03-11 08:18 UTC, Sushil Shinde
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Sushil Shinde 2014-03-11 08:18:19 UTC
Created attachment 95581 [details]
Original file. It contains multiple header.xml files.

Steps to reproduce.

1) Open attached docx file on LO.
2) Save file on LO as docx format.
3) Open saved file on MS Office.
4) MS Office show file is corrupt dialog.


expected behavior :
File should open properly on MSOffice.
Comment 1 Jorendc 2014-03-11 17:51:48 UTC
I can confirm this corruption, tested using Mac OSX 10.9 with LibreOffice Version: 4.3.0.0.alpha0+
Build ID: f32df2d590d0ee14f09664934457ba9e8de8cbe6
TinderBox: MacOSX-x86@49-TDF, Branch:master, Time: 2014-03-01_02:31:14

Roundtripped document opened with Word for Mac 2011.

Kind regards,
Joren
Comment 2 Commit Notification 2014-03-12 08:52:12 UTC
sushil_shinde committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=df0b8665b5539eae1718eccd8250fe9b0a57d886

fdo#76015 : Oleobject relationship entry was exported into wrong file.



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 3 darshan.gandhi 2014-03-18 14:03:11 UTC
Retest passed as all files from LIB-1171 are not getting corrupted after round trip on latest LO master dated 18th March 2014